FBAUTOSTART(1)

NAME
fbautostart - Autostart all XDG applications

SYNOPSIS

fbautostart [options]

DESCRIPTION

fbautostart(1) is an XDG complaint startup tool. This will go through the directories set up by the spec, and start all applications that match it’s current identifier. You may change that identifier with the FBXDG_DE env var.

This tool has almost no library dependencies and was written to be smart about that sort of stuff. There is a greater then average chance that you will find a bug, since it is a from-scratch implementation of the .desktop spec. Pleas report bugs. Please.

FILES

~/.config/autostart
    This folder contains the default user XDG dot-desktop files that will be run ( unless it’s overridden by an ENV variable )

/etc/xdg
    This folder contains the default system XDG dot-desktop files that will be run ( unless it’s overridden by an ENV variable )

OPTIONS

Sadly, there are no flags in this particular release.

ENVIRONMENT VARIABLES

XDG_CONFIG_HOME
    The XDG root directory for the user’s startup files, which may override the global startup files.

XDG_CONFIG_DIRS
    The root XDG directory, where global XDG files are maintained.

FBXDG_DE
    Development environment that we should act upon. This defaults to "FLUXBOX", since this is a fluxbox project, after all. Please note this is case sensitive.

FBXDG_EXEC
    This dictates if we should execute the application that we’ve been told to or not. This is particularly useful for debugging the app.

HOME
    The location of one’s home directory, such that ~/ will be expanded to /home/user/

EXAMPLE

    fbautostart

AUTHORS

Paul Tagliamonte <paultag@ubuntu.com[1]> for fbautostart 2.718281

SEE ALSO

fluxbox(1)

AUTHOR

Paul Tagliamonte <paultag@ubuntu.com>
    Author.

NOTES

1.  paultag@ubuntu.com
    mailto:paultag@ubuntu.com